using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities.T4
{
    /// <summary>
    /// app菜单
    /// </summary> 
    [Description("App版本发布")]
    public partial class T_PF_APP_VERSION : MesEntityBase
    {
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [Description("版本号")]
        [DataFieldLength(30)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("版本描述")]
        [FormFieldEdit]
        [FormFieldTable]
        public string REMARK { get; set; }

        [Description("升级方式")]
        [EnumName("UpgradeType")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public int UPGRADE { get; set; }

        [Description("导航属性：App附件")]
        [FormFieldEdit]
        public ICollection<T_PF_APP_VERSION_FILE> Nav_Files { get; set; }

    }
}
